### Method

# GUPnP ControlPoint get_resource_factory

#### Declaration [src]

    GUPnPResourceFactory*
    gupnp_control_point_get_resource_factory (
      GUPnPControlPoint* control_point
    )

#### Description [src]

Get the `GUPnPResourceFactory` used by the `control_point`. If none was set during construction by calling `gupnp_control_point_new_full()`, equivalent to calling `gupnp_resource_factory_get_default()`.

Gets property | `GUPnP.ControlPoint:resource-factory`

#### Return value

Type: `GUPnPResourceFactory`

The `GUPnPResourceFactory` used by this control point.

The returned data is owned by the instance.